import request from '@/utils/request'

// 查询质量整改列表
export function listSspProblemmodify(query) {  
  return request({
    url: '/trouble/sspProblemmodify/list',
    method: 'get',
    params: query
  })
}

// 查询质量整改统计
export function findGroupCount(query) {  
  return request({
    url: '/trouble/sspProblemmodify/findGroupCount',
    method: 'get',
    params: query
  })
}

// 查询质量整改详细
export function getSspProblemmodify(id) {
  return request({
    url: '/trouble/sspProblemmodify/' + id,
    method: 'get'
  })
}

// 新增质量整改
export function addSspProblemmodify(data) {
  return request({
    url: '/trouble/sspProblemmodify',
    method: 'post',
    data: data
  })
}

// 修改质量整改
export function updateSspProblemmodify(data) {
  return request({
    url: '/trouble/sspProblemmodify',
    method: 'put',
    data: data
  })
}

// 删除质量整改
export function delSspProblemmodify(id) {
  return request({
    url: '/trouble/sspProblemmodify/' + id,
    method: 'delete'
  })
}

//随手拍流程处理列表
export function auditinfoList(query) {
  return request({
    url: '/trouble/sspProblemmodify/auditinfoList',
    method: 'get',
    params: query
  })
}

//提交隐患问题处理
export function modifyProblem(data) {
  return request({
    url: '/trouble/sspProblemmodify/modifyProblem',
    method: 'post',
    data: data
  })
}